#include <Servo.h>

Servo myServo;  // create a servo object

int buttonPin = 3; // the pin number of the button
int buttonState;   // variable to store the button state
int servoPos = 0;  // variable to store the servo position

void setup() {
  myServo.attach(9);  // attaches the servo on pin 9 to the servo object
  pinMode(buttonPin, INPUT);  // sets the button pin as input
}

void loop() {
  buttonState = digitalRead(buttonPin); // read the button state

  if (buttonState == HIGH) {  // if the button is pressed
    myServo.write(90);  // rotate the servo to 90 degrees
    delay(15);  // delay for the servo to reach the desired position
  } else {  // if the button is not pressed
    myServo.write(0);  // rotate the servo back to 0 degrees
    delay(15);  // delay for the servo to reach the desired position
  }
}
