#include <Servo.h>

Servo myServo;  // create servo object

void setup() {
  Serial.begin(9600);  // initialize serial communication
  myServo.attach(9);  // attach servo to pin 9

  while(!Serial)
  Serial.println("u for up, d for down");
}

void loop() {
  if (Serial.available()) {  // check if there's incoming serial data
    char c = Serial.read();  // read the first byte of incoming data
    if (c == 'u') {  // if the character is 'u'
      myServo.write(-90);  // move the servo to -90 degrees
    } else if (c == 'd') {  // if the character is 'd'
      myServo.write(90);  // move the servo to 90 degrees
    }
  }
}
